Description

Like a few others, we are trying to use Redmine as a general support request system that our clients access to submit tickets.  In this

sort of deployment, nearly every use has access to only one Project (e.g. Acme Support) yet they still have to go through an extra,

meaningless step and click on the single project to actually do anything or be able to submit a ticket.

Would it be possible to add a core feature where if a user has access to only one proejct, when "Projects" is selected then go directly

to that project?

I did change the map in the routes file so that the default landing page for the domain is the Projects page (to remove an additional

extra step from a user perspective -- they don't care about the welcome screen, they just want to submit or view a ticket), but would

love to be able to get them in directly to where they want to be.

Thanks!

Related issues:

Related to Redmine - Feature #2421: Single project setup New 2008-12-31

History

#1 - 2009-11-02 18:08 - D W

[Addendum]

And a related feature request...

2) Add "Landing Page" field to Project definition or to the Group/User-Project assignment record.  My clients never want to go to the Overview page

first and then have to click again to get to a useful page.  It would be better if they could land right on "Issues" for example.

#2 - 2009-11-02 23:09 - Robert Chady

Check out this plugin: http://github.com/edavis10/redmine_user_homepage, it will allow you to specify a role that has its landing page changed to the

project overview of the first project they are a member of.

#3 - 2009-11-03 18:33 - D W

Many thanks!  That plug-in does help.  It takes the user to their first project based on the project's sequential internal ID # -- I did change that in the

plugin code to order by "identifier desc" instead of "id desc" so we can have some control over which is the default client project even in cases where

we add that default project later so it has a larger interal ID # (e.g. identifier acme is always the default, acme1, acme2, etc, are then special projects

the user can switch to).

#4 - 2012-05-03 02:07 - Chris L

OK So I an new to redmine and would like to know how to install this plugin. What files do I need to grab from 

http://github.com/edavis10/redmine_user_homepage? I know where to put put them I just dont know what files?

#5 - 2013-02-20 12:07 - Benjamin Jeanjean

+1
